package com.sv.mapper;

import com.sv.entity.MemberFaceInfo;

import java.util.List;

/**
 * Mapper - 用户人脸识别表
 *
 * @author lihong
 * @since 2018-08-10
 */
public interface MemberFaceInfoMapper {

    /**
     * 新建用户人脸识别表
     *
     * @param memberFaceInfo 用户人脸识别表
     */
    void insert(MemberFaceInfo memberFaceInfo);

    /**
     * 更新用户人脸识别表
     *
     * @param memberFaceInfo 用户人脸识别表
     */
    void update(MemberFaceInfo memberFaceInfo);

    /**
     * 删除用户人脸识别表
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除用户人脸识别表
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询用户人脸识别表
     *
     * @param id 编号
     * @return 用户人脸识别表
     */
    MemberFaceInfo findById(Integer id);

    /**
     * 查询用户人脸识别表
     *
     * @return 用户人脸识别表集合
     */
    List<MemberFaceInfo> findAll();

    /**
     * api 根据用户ID查找查询用户人脸识别表
     */
    MemberFaceInfo findByMemberId(Integer memberId);
}